//   ***************************************************************************************************
//   ***************************************************************************************************
//   ***************************************************************************************************
//   K1 Master Revitalize (sa_rev_mas.nss).
//   Created by Star Admiral.
//   Last Modified on 01/14/09.
//   ***************************************************************************************************
//   ***************************************************************************************************
//   ***************************************************************************************************

// Include custom functions for spell casting.
#include "sa_inc_force"

void main() {

   // Initialize the loop counter.
   int nCount = 0;
   // Loop through all available party members.
   while( nCount < GetPartyMemberCount() ) {
      // Get the party member.
      object oParty = GetPartyMemberByIndex( nCount );
      // If the party member is dead, revive him or her, else, do nothing.
      if( GetIsDead( oParty ) ) {
         // Set the revive and healing effects granted by the spell.
         effect eRevive = EffectResurrection();
         eRevive = EffectLinkEffects( eRevive, EffectHeal( 30 ) );
         // Set the visuals shown by the spell.
         effect eVisual = EffectVisualEffect( 1046, FALSE );
         // Apply the effects to the party member.
         SA_ApplySpecialSingle( oParty, DURATION_TYPE_INSTANT, eVisual, 0.00 );
         SA_ApplyEffectSingle( SA_REVITALIZE_REG, oParty, FALSE, DURATION_TYPE_INSTANT, eRevive, 0.00 );
      }
      // Increment the loop counter.
      nCount++;
   }

}
