//   ***************************************************************************************************
//   ***************************************************************************************************
//   ***************************************************************************************************
//   K1 Force Enlightenment (sa_enl_thr.nss).
//   Created by Star Admiral.
//   Last Modified on 01/14/09.
//   ***************************************************************************************************
//   ***************************************************************************************************
//   ***************************************************************************************************

// Include custom functions for spell casting.
#include "sa_inc_force"

void main() {

   // Set the bonuses and penalties given by the spell.
   effect eSense = EffectAssuredDeflection( TRUE );
   eSense = EffectLinkEffects( eSense, EffectAssuredHit() );
   // Set the effect icon for the spell.
   eSense = SetEffectIcon( eSense, SA_ENL_I_THR );
   // Set the visuals shown by the spell.
   effect eVisual = EffectVisualEffect( 1031, FALSE );
   // Remove the spell effects if it exists already.
   SA_RemoveEffectSingle( SA_SENSE_ONE, OBJECT_SELF );
   SA_RemoveEffectSingle( SA_PREMONITION_TWO, OBJECT_SELF );
   SA_RemoveEffectSingle( SA_ENLIGHTENMENT_THR, OBJECT_SELF );
   // Apply the effects to the character.
   SA_ApplySpecialSingle( OBJECT_SELF, DURATION_TYPE_INSTANT, eVisual, 0.00 );
   SA_ApplyEffectSingle( SA_ENLIGHTENMENT_THR, OBJECT_SELF, FALSE, DURATION_TYPE_TEMPORARY, eSense, 30.00 );

}
