//   ***************************************************************************************************
//   ***************************************************************************************************
//   ***************************************************************************************************
//   K1 Force Powers Include (sa_inc_force.nss).
//   Created by Star Admiral.
//   Last Modified on 01/14/09.
//   ***************************************************************************************************
//   ***************************************************************************************************
//   ***************************************************************************************************

// Declare effecticon.2da constants.
int SA_DET_I_PRO = #2DAMEMORY2#;
int SA_DET_I_MAS = #2DAMEMORY3#;
int SA_CON_I_PRO = #2DAMEMORY4#;
int SA_CON_I_MAS = #2DAMEMORY5#;
int SA_RES_I_PRO = #2DAMEMORY6#;
int SA_RES_I_MAS = #2DAMEMORY7#;
int SA_AGG_I_PRO = #2DAMEMORY8#;
int SA_AGG_I_MAS = #2DAMEMORY9#;
int SA_PER_I_PRO = #2DAMEMORY10#;
int SA_PER_I_MAS = #2DAMEMORY11#;
int SA_MOD_I_PRO = #2DAMEMORY12#;
int SA_MOD_I_MAS = #2DAMEMORY13#;
int SA_FER_I_PRO = #2DAMEMORY14#;
int SA_FER_I_MAS = #2DAMEMORY15#;
int SA_BAR_I_REG = #2DAMEMORY17#;
int SA_BAR_I_IMP = #2DAMEMORY18#;
int SA_MED_I_REG = #2DAMEMORY20#;
int SA_MED_I_KNI = #2DAMEMORY21#;
int SA_MED_I_MAS = #2DAMEMORY22#;
int SA_PUL_I_REG = #2DAMEMORY24#;
int SA_PUL_I_IMP = #2DAMEMORY25#;
int SA_PUL_I_MAS = #2DAMEMORY26#;
int SA_STR_I_ONE = #2DAMEMORY28#;
int SA_DEV_I_TWO = #2DAMEMORY29#;
int SA_HEA_I_ONE = #2DAMEMORY31#;
int SA_SCO_I_TWO = #2DAMEMORY32#;
int SA_INF_I_THR = #2DAMEMORY33#;
int SA_STE_I_ONE = #2DAMEMORY35#;
int SA_CAM_I_TWO = #2DAMEMORY36#;
int SA_PRO_I_REG = #2DAMEMORY38#;
int SA_PRO_I_KNI = #2DAMEMORY39#;
int SA_PRO_I_MAS = #2DAMEMORY40#;
int SA_RAG_I_REG = #2DAMEMORY42#;
int SA_RAG_I_IMP = #2DAMEMORY43#;
int SA_RAG_I_MAS = #2DAMEMORY44#;
int SA_SEN_I_ONE = #2DAMEMORY46#;
int SA_PRE_I_TWO = #2DAMEMORY47#;
int SA_ENL_I_THR = #2DAMEMORY48#;
int SA_ENE_I_REG = #2DAMEMORY50#;
int SA_ENE_I_IMP = #2DAMEMORY51#;

// Declare forceshields.2da constants.
int SA_PRO_S_REG = #2DAMEMORY52#;
int SA_PRO_S_KNI = #2DAMEMORY53#;
int SA_PRO_S_MAS = #2DAMEMORY54#;

// Declare spell.2da constants.
int SA_DETERMINATION_PRO = #2DAMEMORY55#;
int SA_DETERMINATION_MAS = #2DAMEMORY57#;
int SA_CONTENTION_PRO = #2DAMEMORY58#;
int SA_CONTENTION_MAS = #2DAMEMORY60#;
int SA_RESILIENCE_PRO = #2DAMEMORY61#;
int SA_RESILIENCE_MAS = #2DAMEMORY63#;
int SA_AGGRESSION_PRO = #2DAMEMORY64#;
int SA_AGGRESSION_MAS = #2DAMEMORY66#;
int SA_PERSEVERANCE_PRO = #2DAMEMORY67#;
int SA_PERSEVERANCE_MAS = #2DAMEMORY69#;
int SA_MODERATION_PRO = #2DAMEMORY70#;
int SA_MODERATION_MAS = #2DAMEMORY72#;
int SA_FEROCITY_PRO = #2DAMEMORY73#;
int SA_FEROCITY_MAS = #2DAMEMORY75#;
int SA_BARRIER_REG = #2DAMEMORY76#;
int SA_BARRIER_IMP = #2DAMEMORY78#;
int SA_MEDITATION_REG = #2DAMEMORY79#;
int SA_MEDITATION_KNI = #2DAMEMORY81#;
int SA_MEDITATION_MAS = #2DAMEMORY82#;
int SA_REVITALIZE_REG = #2DAMEMORY83#;
int SA_REVITALIZE_KNI = #2DAMEMORY85#;
int SA_REVITALIZE_MAS = #2DAMEMORY86#;
int SA_PULL_REG = #2DAMEMORY87#;
int SA_PULL_IMP = #2DAMEMORY89#;
int SA_PULL_MAS = #2DAMEMORY90#;
int SA_STRIKE_ONE = #2DAMEMORY91#;
int SA_DEVASTATE_TWO = #2DAMEMORY93#;
int SA_HEAT_ONE = #2DAMEMORY94#;
int SA_SCORCH_TWO = #2DAMEMORY96#;
int SA_INFERNO_THR = #2DAMEMORY97#;
int SA_STEALTH_ONE = #2DAMEMORY98#;
int SA_CAMOUFLAGE_TWO = #2DAMEMORY100#;
int SA_PROTECT_REG = #2DAMEMORY101#;
int SA_PROTECT_KNI = #2DAMEMORY103#;
int SA_PROTECT_MAS = #2DAMEMORY104#;
int SA_RAGE_REG = #2DAMEMORY105#;
int SA_RAGE_IMP = #2DAMEMORY107#;
int SA_RAGE_MAS = #2DAMEMORY108#;
int SA_SENSE_ONE = #2DAMEMORY109#;
int SA_PREMONITION_TWO = #2DAMEMORY111#;
int SA_ENLIGHTENMENT_THR = #2DAMEMORY112#;
int SA_ENERGIZE_REG = #2DAMEMORY113#;
int SA_ENERGIZE_IMP = #2DAMEMORY115#;

// Function to remove a given effect from a character.
void SA_RemoveEffectSingle( int nSpell, object oTarget ) {

   if( GetHasSpellEffect( nSpell, oTarget ) ) {
      effect eBuff = GetFirstEffect( oTarget );
      while( GetIsEffectValid( eBuff ) ) {
         if( GetEffectSpellId( eBuff ) == nSpell )
            RemoveEffect( oTarget, eBuff );
         eBuff = GetNextEffect( oTarget );
      }
   }

}

// Function to remove a given effect from the player's party.
void SA_RemoveEffectParty( int nSpell ) {

   int nCount = 0;
   while( nCount < GetPartyMemberCount() ) {
      object oParty = GetPartyMemberByIndex( nCount );
      SA_RemoveEffectSingle( nSpell, oParty );
      nCount++;
   }

}

// Function to apply a given effect to a character.
void SA_ApplyEffectSingle( int nSpell, object oTarget, int nHarmful, int nType, effect eEffect, float fDuration ) {

   SignalEvent( oTarget, EventSpellCastAt( oTarget, nSpell, nHarmful ) );
   ApplyEffectToObject( nType, eEffect, oTarget, fDuration );

}

// Function to apply a given effect to the player's party.
void SA_ApplyEffectParty( int nSpell, int nHarmful, int nType, effect eEffect, float fDuration ) {

   int nCount = 0;
   while( nCount < GetPartyMemberCount() ) {
      object oParty = GetPartyMemberByIndex( nCount );
      SA_ApplyEffectSingle( nSpell, oParty, nHarmful, nType, eEffect, fDuration );
      nCount++;
   }

}

// Function to apply a given visual to a character.
void SA_ApplySpecialSingle( object oTarget, int nType, effect eEffect, float fDuration ) {

   ApplyEffectToObject( nType, eEffect, oTarget, fDuration );

}

// Function to apply a given visual to the player's party.
void SA_ApplySpecialParty( int nType, effect eEffect, float fDuration ) {

   int nCount = 0;
   while( nCount < GetPartyMemberCount() ) {
      object oParty = GetPartyMemberByIndex( nCount );
      SA_ApplySpecialSingle( oParty, nType, eEffect, fDuration );
      nCount++;
   }

}


// Function to apply an iterative effect to a character.
void SA_IterativeSingle( object oTarget, int nType, effect eEffect, float fDuration, float fPause ) {

   int nDuration;
   if( GetIsObjectValid( oTarget ) ) {
      if( !GetIsDead( oTarget ) && GetIsEnemy( oTarget ) ) {
         SA_ApplySpecialSingle( oTarget, nType, eEffect, fDuration );
         fDuration = fDuration - fPause;
         nDuration = FloatToInt( fDuration );
         if( nDuration > 0 )            
            DelayCommand( fPause, SA_IterativeSingle( oTarget, nType, eEffect, fDuration, fPause ) );
      }
   }

}

// Function to apply an iterative effect to the player's party.
void SA_IterativeParty( int nType, effect eEffect, float fDuration, float fPause ) {

   int nCount = 0;
   while( nCount < GetPartyMemberCount() ) {
      object oParty = GetPartyMemberByIndex( nCount );
      SA_IterativeSingle( oParty, nType, eEffect, fDuration, fPause );
      nCount++;
   }

}

// Function to return the save DC for the character.
int SA_DCSave() {

   int nDC = GetSpellSaveDC();
   if( nDC > 100 )
      nDC = 100;
   return nDC;

}
